//> ===>
//> Title: Advance Light
//> Author: Truce
//> ===>

function serverCmdSetLight(%client,%a,%b,%c)
{
	%name = trim(%a SPC %b SPC %c);
	
	if(%name $= "")
	{
		messageClient(%client,'',"\c6You must enter a name after the command!");
		return;
	}
	
	if(!$LightList)
	{
		for(%i = 0; %i < DatablockGroup.getCount(); %i++)
		{
			%obj = DatablockGroup.getObject(%i);
			
			if(%obj.getClassName() $= "fxLightData" && %obj.uiName !$= "")
				$LightList = $LightList SPC %obj;
		}
		
		$LightList = trim($LightList);
	}
	
	for(%i = 0; %i < getWordCount($LightList); %i++)
	{
		%light = getWord($LightList,%i);
		
		if(getWords(%light.uiName,0,getWordCount(%name) - 1) $= %name)
		{
			%client.light = %light;
			messageClient(%client,'',"\c6Your light has been set to \c4" @ %light.uiName @ "\c6.");
			
			return;
		}
	}
	
	messageClient(%client,'',"\c6The light \c4" @ %name @ " \c6could not be found.");
}

package AdvanceLight
{
	function serverCmdLight(%client)
	{
		if(%client.light !$= "")
		{
			%name = %client.light.getName();
			
			PlayerLight.setName(LightPP);
			%client.light.setName(PlayerLight);
		}
		
		Parent::serverCmdLight(%client);
		
		if(%client.light !$= "")
		{
			PlayerLight.setName(%name);
			LightPP.setName(PlayerLight);
		}
	}
};
activatePackage(AdvanceLight);